## continuity 0.0~git20180216.d8fb858

=== Makefile ===
# Set an output prefix, which is the local directory if not specified
PREFIX?=$(shell pwd)

# Used to populate version variable in main package.
VERSION=$(shell git describe --match 'v[0-9]*' --dirty='.m' --always)

GO_LDFLAGS=-ldflags "-X `go list ./version`.Version=$(VERSION)"

PACKAGES=$(shell go list ./... | grep -v /vendor/)

.PHONY: clean all fmt vet lint build test binaries setup
.DEFAULT: default
# skip lint at the moment
all: AUTHORS clean fmt vet fmt build test binaries

AUTHORS: .mailmap .git/HEAD
	 git log --format='%aN <%aE>' | sort -fu > $@

# This only needs to be generated by hand when cutting full releases.
version/version.go:
	./version/version.sh > $@

${PREFIX}/bin/continuity: version/version.go $(shell find . -type f -name '*.go')
	@echo "+ $@"
	@go build  -o $@ ${GO_LDFLAGS}  ${GO_GCFLAGS} ./cmd/continuity

setup:
	@echo "+ $@"
	@go get -u github.com/golang/lint/golint

generate:
	go generate $(PACKAGES)

# Depends on binaries because vet will silently fail if it can't load compiled
# imports
vet: binaries
	@echo "+ $@"
	@go vet $(PACKAGES)

fmt:
	@echo "+ $@"
	@test -z "$$(gofmt -s -l . | grep -v Godeps/_workspace/src/ | grep -v vendor/ | tee /dev/stderr)" || \
		echo "+ please format Go code with 'gofmt -s'"

lint:
	@echo "+ $@"
	@test -z "$$(golint $(PACKAGES) | grep -v Godeps/_workspace/src/ | grep -v vendor/ |tee /dev/stderr)"

build:
	@echo "+ $@"
	@go build -v ${GO_LDFLAGS} $(PACKAGES)

test:
	@echo "+ $@"
	@go test $(PACKAGES)

test-compile:
	@echo "+ $@"
	@for pkg in $(PACKAGES); do go test -c $$pkg; done

binaries: ${PREFIX}/bin/continuity
	@echo "+ $@"
	@if [ x$$GOOS = xwindows ]; then echo "+ continuity -> continuity.exe"; mv ${PREFIX}/bin/continuity ${PREFIX}/bin/continuity.exe; fi

clean:
	@echo "+ $@"
	@rm -rf "${PREFIX}/bin/continuity" "${PREFIX}/bin/continuity.exe"

=== debian/changelog ===
continuity (0.0~git20180216.d8fb858-1) unstable; urgency=medium

  * Initial release (Closes: #890983)

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Wed, 21 Feb 2018 16:18:12 +0700

=== debian/control ===
Source: continuity
Section: admin
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-bazil-fuse-dev,
               golang-github-dustin-go-humanize-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-pkg-errors-dev,
               golang-github-sirupsen-logrus-dev (>= 1.0.2~),
               golang-github-spf13-cobra-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev (>= 0.0~git20180308~),
               golang-goprotobuf-dev
Standards-Version: 4.1.3
Homepage: https://github.com/containerd/continuity
Vcs-Browser: https://salsa.debian.org/go-team/packages/continuity
Vcs-Git: https://salsa.debian.org/go-team/packages/continuity.git
XS-Go-Import-Path: github.com/containerd/continuity
Testsuite: autopkgtest-pkg-go

Package: continuity
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Transport-agnostic, filesystem metadata manifest system
 This project is a staging area for experiments in providing transport
 agnostic metadata storage.
 .
 Please see https://github.com/opencontainers/specs/issues/11 for more
 details.

Package: golang-github-containerd-continuity-dev
Architecture: all
Depends: ${misc:Depends},
         golang-bazil-fuse-dev,
         golang-github-dustin-go-humanize-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-pkg-errors-dev,
         golang-github-sirupsen-logrus-dev (>= 1.0.2~),
         golang-github-spf13-cobra-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev (>= 0.0~git20180308~),
         golang-goprotobuf-dev
Description: Externally reusable Go packages included with Continuity
 These packages are intentionally developed by upstream in such a way that they
 are reusable to projects outside Continuity and only rely on each other or
 other external dependencies to be built.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/continuity-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
dversionmangle=s/[~+]ds\d*$//,\
repacksuffix=~ds1 \
  https://github.com/containerd/continuity/tags .*/v?(\d\S*)\.tar\.gz

## continuity 0.0~git20181203.004b464

=== debian/changelog ===
continuity (0.0~git20181203.004b464-1) experimental; urgency=medium

  [ Arnaud Rebillout ]
  * Team upload.
  * Set minimal requirement for some build dependencies
  * Update copyright
  * Add copyright for sysx/asm.s

  [ Shengjing Zhu ]
  * Use git mode in debian/watch since upstream doesn't have tags
  * New upstream version 0.0~git20181203.004b464
  * Update pkg-go team address to team+pkg-go@tracker.debian.org
  * Update copyright info for new version
  * Update debhelper-compat to 12, and drop debian/compat file
  * Update Standards-Version to 4.3.0 (no changes)
  * Remove golang-golang-x-net-dev from {Build-,}Depends, not used directly
  * Drop command binary package to reduce the Build-Depends (Closes: #923603）
  * Skip one test that needs 6G space

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 07 Mar 2019 23:26:38 +0800

=== debian/control ===
Source: continuity
Section: admin
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-opencontainers-go-digest-dev,
               golang-github-pkg-errors-dev,
               golang-github-sirupsen-logrus-dev (>= 1.0.2~),
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev (>= 0.0~git20180308~),
               golang-goprotobuf-dev,
Standards-Version: 4.3.0
Homepage: https://github.com/containerd/continuity
Vcs-Browser: https://salsa.debian.org/go-team/packages/continuity
Vcs-Git: https://salsa.debian.org/go-team/packages/continuity.git
XS-Go-Import-Path: github.com/containerd/continuity
Testsuite: autopkgtest-pkg-go

Package: golang-github-containerd-continuity-dev
Architecture: all
Depends: golang-github-opencontainers-go-digest-dev,
         golang-github-pkg-errors-dev,
         golang-github-sirupsen-logrus-dev (>= 1.0.2~),
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev (>= 0.0~git20180308~),
         golang-goprotobuf-dev,
         ${misc:Depends},
Description: Externally reusable Go packages included with Continuity
 These packages are intentionally developed by upstream in such a way that they
 are reusable to projects outside Continuity and only rely on each other or
 other external dependencies to be built.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := cmd commands continuityfs

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	dh_auto_test -- -short

## continuity 0.0~git20190827.75bee3e

=== debian/changelog ===
continuity (0.0~git20190827.75bee3e-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * Upload to unstable.
  * rules: set DH_GOLANG_GO_GENERATE=1.

  [ Arnaud Rebillout ]
  * New upstream version 0.0~git20190827.75bee3e
  * Remove mention regarding missing upstream copyright
  * Bump standards version

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Sat, 26 Oct 2019 09:21:43 +1100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev (>= 0.0~git20180308~),
                golang-goprotobuf-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/containerd/continuity
 Vcs-Browser: https://salsa.debian.org/go-team/packages/continuity
 Vcs-Git: https://salsa.debian.org/go-team/packages/continuity.git

## continuity 0.0~git20200107.26c1120

=== debian/changelog ===
continuity (0.0~git20200107.26c1120-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20200107.26c1120
  * Update Standards-Version to 4.4.1 (no changes)
  * Add Rules-Requires-Root

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 16 Jan 2020 03:26:51 +0800

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev (>= 0.0~git20180308~),
                golang-goprotobuf-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/containerd/continuity
 Vcs-Browser: https://salsa.debian.org/go-team/packages/continuity
 Vcs-Git: https://salsa.debian.org/go-team/packages/continuity.git
 XS-Go-Import-Path: github.com/containerd/continuity
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-containerd-continuity-dev

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DH_GOLANG_EXCLUDES := cmd commands continuityfs
+export DH_GOLANG_GO_GENERATE := 1
 
 %:
 	dh $@ --buildsystem=golang --with=golang

## continuity 0.0~git20200710.efbc448

=== debian/changelog ===
continuity (0.0~git20200710.efbc448-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Shengjing Zhu ]
  * New upstream version 0.0~git20200710.efbc448
  * Update debhelper compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 23 Aug 2020 21:59:54 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-opencontainers-go-digest-dev,
@@ -12,7 +12,7 @@
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev (>= 0.0~git20180308~),
                golang-goprotobuf-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/containerd/continuity
 Vcs-Browser: https://salsa.debian.org/go-team/packages/continuity
 Vcs-Git: https://salsa.debian.org/go-team/packages/continuity.git

## continuity 0.0~git20201119.04c754f

=== debian/changelog ===
continuity (0.0~git20201119.04c754f-2) unstable; urgency=medium

  * Team upload.
  * Fix building on arm64

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 26 Nov 2020 11:10:49 +0800

continuity (0.0~git20201119.04c754f-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20201119.04c754f
  * Update Section to golang
  * Update Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 26 Nov 2020 01:48:10 +0800

## continuity 0.0~git20201208.1805252

=== debian/changelog ===
continuity (0.0~git20201208.1805252-2) unstable; urgency=medium

  * Team upload.
  * Fix DH_GOLANG_EXCLUDES which excludes unexpected test file

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 25 Jan 2021 22:17:12 +0800

continuity (0.0~git20201208.1805252-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20201208.1805252

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 25 Jan 2021 04:11:27 +0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: continuity
-Section: admin
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
@@ -12,7 +12,7 @@
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev (>= 0.0~git20180308~),
                golang-goprotobuf-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/containerd/continuity
 Vcs-Browser: https://salsa.debian.org/go-team/packages/continuity
 Vcs-Git: https://salsa.debian.org/go-team/packages/continuity.git

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/containerd/continuity/ \
  HEAD

## continuity 0.2.0

=== debian/changelog ===
continuity (0.2.0-2) unstable; urgency=medium

  * Team upload.
  * Add patch to skip unsupported test on buildd

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 10 Oct 2021 02:07:24 +0800

continuity (0.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Drop golang-github-pkg-errors-dev from Depends
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 10 Oct 2021 01:16:45 +0800

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
                dh-golang,
                golang-any,
                golang-github-opencontainers-go-digest-dev,
-               golang-github-pkg-errors-dev,
                golang-github-sirupsen-logrus-dev (>= 1.0.2~),
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev (>= 0.0~git20180308~),
                golang-goprotobuf-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/containerd/continuity
 Vcs-Browser: https://salsa.debian.org/go-team/packages/continuity
 Vcs-Git: https://salsa.debian.org/go-team/packages/continuity.git
@@ -23,7 +22,6 @@
 Package: golang-github-containerd-continuity-dev
 Architecture: all
 Depends: golang-github-opencontainers-go-digest-dev,
-         golang-github-pkg-errors-dev,
          golang-github-sirupsen-logrus-dev (>= 1.0.2~),
          golang-golang-x-sync-dev,
          golang-golang-x-sys-dev (>= 0.0~git20180308~),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DH_GOLANG_EXCLUDES := cmd commands continuityfs
+export DH_GOLANG_EXCLUDES := cmd/continuity commands continuityfs
 export DH_GOLANG_GO_GENERATE := 1
 
 %:

## continuity 0.2.2

=== debian/changelog ===
continuity (0.2.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on
      golang-github-sirupsen-logrus-dev and golang-golang-x-sys-dev.
    * golang-github-containerd-continuity-dev: Drop versioned constraint on
      golang-github-sirupsen-logrus-dev and golang-golang-x-sys-dev in Depends.

  [ Shengjing Zhu ]
  * New upstream version 0.2.2

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 26 Feb 2022 23:33:31 +0800

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                dh-golang,
                golang-any,
                golang-github-opencontainers-go-digest-dev,
-               golang-github-sirupsen-logrus-dev (>= 1.0.2~),
+               golang-github-sirupsen-logrus-dev,
                golang-golang-x-sync-dev,
-               golang-golang-x-sys-dev (>= 0.0~git20180308~),
+               golang-golang-x-sys-dev,
                golang-goprotobuf-dev,
 Standards-Version: 4.6.0
 Homepage: https://github.com/containerd/continuity
@@ -22,9 +22,9 @@
 Package: golang-github-containerd-continuity-dev
 Architecture: all
 Depends: golang-github-opencontainers-go-digest-dev,
-         golang-github-sirupsen-logrus-dev (>= 1.0.2~),
+         golang-github-sirupsen-logrus-dev,
          golang-golang-x-sync-dev,
-         golang-golang-x-sys-dev (>= 0.0~git20180308~),
+         golang-golang-x-sys-dev,
          golang-goprotobuf-dev,
          ${misc:Depends},
 Description: Externally reusable Go packages included with Continuity

## continuity 0.3.0

=== debian/changelog ===
continuity (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.3.0
  * Fix Arnaud Rebillout email address
  * Update Standards-Version to 4.6.1 (no changes)
  * Add golang-google-protobuf-dev to Depends

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 20 Aug 2022 21:31:20 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
+Uploaders: Arnaud Rebillout <arnaudr@kali.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
@@ -10,8 +10,9 @@
                golang-github-sirupsen-logrus-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev,
-               golang-goprotobuf-dev,
-Standards-Version: 4.6.0
+               golang-google-protobuf-dev,
+               protoc-gen-go,
+Standards-Version: 4.6.1
 Homepage: https://github.com/containerd/continuity
 Vcs-Browser: https://salsa.debian.org/go-team/packages/continuity
 Vcs-Git: https://salsa.debian.org/go-team/packages/continuity.git
@@ -25,7 +26,7 @@
          golang-github-sirupsen-logrus-dev,
          golang-golang-x-sync-dev,
          golang-golang-x-sys-dev,
-         golang-goprotobuf-dev,
+         golang-google-protobuf-dev,
          ${misc:Depends},
 Description: Externally reusable Go packages included with Continuity
  These packages are intentionally developed by upstream in such a way that they

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := cmd/continuity
export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	dh_auto_test -- -short

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/containerd/continuity \
  refs/tags/v?@ANY_VERSION@ debian

## continuity 0.4.5~ds1

=== debian/changelog ===
continuity (0.4.5~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.4.5
  * Bump Standards Version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 10 Aug 2025 21:00:22 -0400

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-github-containerd-log-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-sirupsen-logrus-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev,
                golang-google-protobuf-dev,
                protoc-gen-go,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/containerd/continuity
 Vcs-Browser: https://salsa.debian.org/go-team/packages/continuity
 Vcs-Git: https://salsa.debian.org/go-team/packages/continuity.git
@@ -22,12 +23,14 @@
 
 Package: golang-github-containerd-continuity-dev
 Architecture: all
-Depends: golang-github-opencontainers-go-digest-dev,
+Depends: golang-github-containerd-log-dev,
+         golang-github-opencontainers-go-digest-dev,
          golang-github-sirupsen-logrus-dev,
          golang-golang-x-sync-dev,
          golang-golang-x-sys-dev,
          golang-google-protobuf-dev,
          ${misc:Depends},
+Multi-Arch: foreign
 Description: Externally reusable Go packages included with Continuity
  These packages are intentionally developed by upstream in such a way that they
  are reusable to projects outside Continuity and only rely on each other or

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, repacksuffix=+ds1, dversionmangle=s/\+ds\d*$//" \
  https://github.com/containerd/continuity \
  refs/tags/v?@ANY_VERSION@ debian
